[Overview][Constants][Types][Classes][Index] | Reference for unit 'PerlRegEx' (#crwlib)

# TPerlRegExList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: perlregex.pas line 216

`type TPerlRegExList = class(TMasterObject)`
`protected`
`procedure UpdateRegEx();`
`public`
`constructor Create;`
`destructor Destroy; override;`
`function Add();`
`procedure Clear;`
`procedure Delete();`
`function IndexOf();`
`procedure Insert();`
`function Match;`
`function MatchAgain;`
`property RegEx []: TPerlRegEx; [rw]`
`property Count: Integer; [r]`
`property Subject: PCREString; [rw]`
`property Start: Integer; [rw]`
`property Stop: Integer; [rw]`
`property MatchedRegEx: TPerlRegEx; [r]`
`end;`

## Inheritance

`TPerlRegExList`
`TMasterObject`
`TObject`